=== debian/changelog ===
icingadb (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Dec 2025 12:27:02 +0100
