## icingadb 1.5.1+10.gd0953e5

=== debian/changelog ===
icingadb (1.5.1+10.gd0953e5-1768386973+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+10.gd0953e5-1768386973

 -- Icinga GmbH <info@icinga.com>  Wed, 14 Jan 2026 10:37:24 +0000
