## icingadb 1.5.1+20.g8c3ff97

=== debian/changelog ===
icingadb (1.5.1+20.g8c3ff97-1769205805+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+20.g8c3ff97-1769205805

 -- Icinga GmbH <info@icinga.com>  Fri, 23 Jan 2026 22:03:50 +0000
