## icingadb 1.5.1+24.g6400506

=== debian/changelog ===
icingadb (1.5.1+24.g6400506-1770415404+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+24.g6400506-1770415404

 -- Icinga GmbH <info@icinga.com>  Fri, 06 Feb 2026 22:03:57 +0000
