## icingadb 1.5.1+28.ga395295

=== debian/changelog ===
icingadb (1.5.1+28.ga395295-1771020201+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+28.ga395295-1771020201

 -- Icinga GmbH <info@icinga.com>  Fri, 13 Feb 2026 22:03:52 +0000
