## icingadb 1.5.1+34.g6ffee4f

=== debian/changelog ===
icingadb (1.5.1+34.g6ffee4f-1771625003+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+34.g6ffee4f-1771625003

 -- Icinga GmbH <info@icinga.com>  Fri, 20 Feb 2026 22:03:39 +0000
