## icingadb 1.5.1+38.gbed43bd

=== debian/changelog ===
icingadb (1.5.1+38.gbed43bd-1772229809+ubuntu25.10) icinga; urgency=medium

  * Release 1.5.1+38.gbed43bd-1772229809

 -- Icinga GmbH <info@icinga.com>  Fri, 27 Feb 2026 22:03:55 +0000
